﻿@model IndexModel

@{
    Layout = "_Layout";
}

@if ( Model.RecordList.Count() != 0  )
{
    <div class="row">

        <div class="col-sm-12">
            @if (TempData["message"] != null)
            {
                <div class="alert-success">
                    <h4>@TempData["message"]</h4>
                </div>
            }
            <table class="table table-bordered table-striped">
                <tr>
                    <th class="text-center">Ключ</th>
                    <th class="text-center">Значение</th>
                    <th class="text-center">Дата создания</th>
                </tr>
                <tbody>
                    @foreach (var record in Model.RecordList)
                    {
                        <tr>
                            <td class="text-center">@record.Key</td>
                            <td class="text-center">@record.Value</td>
                            <td class="text-center">@record.CreateDate</td>
                            <td class="text-center">
                                <form asp-action="Delete" asp-controller="StorageInfo" method="get">
                                    <a asp-action="Edit" class="btn btn-sm btn-warning"
                                       asp-route-Key="@record.Key" asp-route-CreateDate="@record.CreateDate">
                                        Редактировать запись
                                    </a>
                                    <input type="hidden" name="Key" value="@record.Key" />
                                    <input type="hidden" name="Value" value="@record.Value" />
                                    <button type="submit" class="btn btn-danger btn-sm">
                                        Удалить Запись
                                    </button>
                                </form>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
            <a asp-action="ShowNotEmptyValue" class="btn btn-sm btn-success ">
                Показать записи у которых есть значения
            </a>

            <a asp-action="ClearRecords" class="btn btn-sm btn-success ">
                Удалить все записи
            </a>

            <a asp-action="Edit" class="btn btn-sm btn-success pull-right">
                Добавить запись
            </a>
        </div>
    </div>
}
else
{
    <div class="row">
        <div class="col-sm-12">
            <div>
                <form asp-action="Edit" method="post">
                    <a asp-action="Edit" class="btn btn-sm btn-success pull-right">
                        Добавить новую запись
                    </a>
                </form>
            </div>
        </div>
    </div>

}







